Bug 122842 - Update port: security/logcheck Update to version 1.2.54 by Debian team
Summary: Update port: security/logcheck Update to version 1.2.54 by Debian team
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Greg Larkin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-17 11:10 UTC by Cezary Morga
Modified: 2008-09-11 19:42 UTC (History)
0 users

See Also:


Attachments
file.shar (21.24 KB, text/plain)
2008-04-17 11:10 UTC, Cezary Morga
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cezary Morga 2008-04-17 11:10:01 UTC
The application had been rewritten by the Debian Logcheck Team in Bash/Perl. Logcheck behaviour had been changed from the version available in ports: now it sends e-mail with the non-typical log entries (apart from available definitions user can create local rulesets for ignore lists) as well as log entries matching typical cracking/violations attempts.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-04-17 11:10:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sergei

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2008-07-27 07:01:00 UTC
Responsible Changed
From-To: sergei->freebsd-ports-bugs

Maintainer was reset.
Comment 3 Greg Larkin freebsd_committer 2008-08-07 19:06:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->glarkin

I'll take it.
Comment 4 dfilter service freebsd_committer 2008-09-07 02:32:10 UTC
glarkin     2008-09-07 01:31:56 UTC

  FreeBSD ports repository

  Modified files:
    security/logcheck    Makefile distinfo pkg-descr pkg-plist 
  Added files:
    security/logcheck/files patch-debian__logcheck.cron.d 
                            patch-etc__logcheck.conf 
                            patch-src__logcheck pkg-deinstall.in 
                            pkg-install.in pkg-message.in 
  Removed files:
    security/logcheck/files patch-logcheck.sh 
  Log:
  - Updated to 1.2.54
  - Replaced hard-coded paths in pkg-plist with variables
  - Cleaned up installation commands
  - Moved crontab file to EXAMPLESDIR and updated pkg-install.in
    to handle port knob NOPORTEXAMPLES
  - Regenerated patch files with "make makepatch"
  
  PR:             ports/122842
  Submitted by:   Cezary Morga <cm at therek dot net>
  Approved by:    beech (mentor, implicit)
  
  Revision  Changes    Path
  1.21      +52 -29    ports/security/logcheck/Makefile
  1.6       +3 -3      ports/security/logcheck/distinfo
  1.1       +16 -0     ports/security/logcheck/files/patch-debian__logcheck.cron.d (new)
  1.1       +16 -0     ports/security/logcheck/files/patch-etc__logcheck.conf (new)
  1.2       +0 -10     ports/security/logcheck/files/patch-logcheck.sh (dead)
  1.1       +142 -0    ports/security/logcheck/files/patch-src__logcheck (new)
  1.1       +33 -0     ports/security/logcheck/files/pkg-deinstall.in (new)
  1.1       +51 -0     ports/security/logcheck/files/pkg-install.in (new)
  1.1       +13 -0     ports/security/logcheck/files/pkg-message.in (new)
  1.3       +5 -8      ports/security/logcheck/pkg-descr
  1.9       +184 -16   ports/security/logcheck/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Greg Larkin freebsd_committer 2008-09-07 02:32:13 UTC
State Changed
From-To: open->closed

Thank you for your PR, and please submit patches in unified 
diff format, if possible. 

Committed with modifications, thanks!
Comment 6 Greg Larkin freebsd_committer 2008-09-09 00:01:41 UTC
State Changed
From-To: closed->open

Re-open, pending 1.1.x->1.2.x upgrade process fix.
Comment 7 Greg Larkin freebsd_committer 2008-09-09 00:03:53 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I have reopened this PR, pending a fix for the 1.1.x->1.2.x portupgrade
process.  The port does not handle certain conditions correctly when it
tries to install a crontab file for the logcheck user.
- --
Greg Larkin

http://www.FreeBSD.org/       - The Power To Serve
http://www.sourcehosting.net/ - Ready. Set. Code.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.7 (MingW32)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFIxa9Z0sRouByUApARAo+YAJ9GtFp2CgaIY7X++ZBuLO12SgoKMwCgnWe9
3I7n6oEgbsn4S5BuJiGc+l0=
=9g7S
-----END PGP SIGNATURE-----
Comment 8 dfilter service freebsd_committer 2008-09-11 01:30:18 UTC
glarkin     2008-09-11 00:30:09 UTC

  FreeBSD ports repository

  Modified files:
    .                    UIDs UPDATING 
    security/logcheck    Makefile pkg-plist 
    security/logcheck/files patch-src__logcheck pkg-deinstall.in 
                            pkg-install.in pkg-message.in 
  Log:
  - Fixed logcheck script silent failure in previous commit
  - Added handling for crontab installation problems
  - Incorported security fixes from PR opened after previous commit
  - Added UPDATING entry since configuration options have changed
    fairly significantly
  
  PR:             ports/122842
  Submitted by:   Cezary Morga <cm@therek.net>
  PR:             ports/127255
  Submitted by:   Yasuhiro KIMURA <yasu at utahime dot org>
  Reviewed by:    glarkin
  Approved by:    beech (mentor, implicit)
  Approved by:    portmgr (marcus)
  Security:       Incorrect addition of logcheck user to wheel group
  
  Revision  Changes    Path
  1.75      +2 -2      ports/UIDs
  1.717     +49 -1     ports/UPDATING
  1.23      +28 -18    ports/security/logcheck/Makefile
  1.2       +14 -6     ports/security/logcheck/files/patch-src__logcheck
  1.2       +2 -2      ports/security/logcheck/files/pkg-deinstall.in
  1.2       +17 -8     ports/security/logcheck/files/pkg-install.in
  1.2       +2 -2      ports/security/logcheck/files/pkg-message.in
  1.11      +3 -3      ports/security/logcheck/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Greg Larkin freebsd_committer 2008-09-11 19:42:25 UTC
State Changed
From-To: open->closed

Committed after fixing upgrade process to account for possible 
crontab errors.